Create an Agent Configpost {protocol}://{base-url}/ai/api/v1/config/agentCreate an Agent Config.Body ParamsSchema for creating an agent config.namestringrequiredlength ≥ 2The name of the agent.descriptionstringnullrequiredThe description of the agent.promptstringrequiredlength ≥ 2The prompt for the agent.llm_config_iduuidrequiredThe ID of the LLM config associated with the agent.llm_extra_confignullExtra configuration for the LLM.Llm Extra Config nulltool_config_idsarray of uuidsrequiredThe IDs of the tool configs associated with the agent.Tool Config Ids*ADD uuidbound_tool_argsarray of objectsList of arguments to tools that have been hardcoded. The order and length of this list is the same as that of tool_configs. The dictionaries in this list contain key-value pairs, where the key is the name of a tool argument and the value is what should be hardcoded for that tool. If the dict is empty, then there are no hardcoded values for the tool.Bound Tool ArgsADD objectinput_json_schemaobjectThe input schema for the agent. WARNING: This field will be required in the future. Specifies the inputs that the agents require conforming to the JSON schema standard. ref: https://json-schema.org/ Note that name of parameters are used to inject dependencies into the tools. If a parameter name matches the argument name of a tool, then it will be injected into the tool. It is up to the developer to ensure that the names match those required by the tools. The names are not validated. If the parameters don't match the arguments of the tools, then the LLM may still be able to manually include them in tool calls.Input Json Schema objectoutput_json_schemaobject | nullThe output schema for the agent. Specifies the output that the agents output conforming to the JSON schema standard. ref: https://json-schema.org/ If None, the agent will output a string.Output Json Schema object | nullResponses 201Successful Response 401Authentication required. No valid session cookie or bearer token provided, or authentication failed. 422Validation Error 500Internal server error during request processing.Updated 5 months ago Get a page of Agent ConfigsGet an Agent ConfigDid this page help you?YesNo